Closed Bug 1511625 Opened 10 months ago Closed 3 months ago

Perma Tier 2 /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | The user agent scroll to the fragment when there is an element with an ID exactly equal to the decoded fragid - assert_not_equals: got disallowed value 0

Categories

(Core :: DOM: Core & HTML, defect, P2)

defect

Tracking

()

RESOLVED FIXED
mozilla66
Tracking Status
firefox66 --- fixed
firefox69 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: emilio)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell unknown][stockwell needswork:owner][wptsync upstream])

Attachments

(1 file)

Filed by: rgurzau [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=215080508&repo=mozilla-central

https://queue.taskcluster.net/v1/task/cJv6QqlNQMSy6WPHYZflqg/runs/0/artifacts/public/logs/live_backing.log

[task 2018-12-01T15:11:58.733Z] 15:11:58     INFO - TEST-START | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html
[task 2018-12-01T15:11:59.491Z] 15:11:59     INFO - 
[task 2018-12-01T15:11:59.491Z] 15:11:59     INFO - TEST-UNEXPECTED-FAIL | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | The user agent scroll to the fragment when there is an element with an ID exactly equal to the decoded fragid - assert_not_equals: got disallowed value 0
[task 2018-12-01T15:11:59.491Z] 15:11:59     INFO - testScrollingToElementInDocumentTree/<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:91:9
[task 2018-12-01T15:11:59.497Z] 15:11:59     INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1568:20
[task 2018-12-01T15:11:59.497Z] 15:11:59     INFO - clickFirstAnchorAndRunStep/</<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:76:13
[task 2018-12-01T15:11:59.497Z] 15:11:59     INFO - .........
[task 2018-12-01T15:11:59.497Z] 15:11:59     INFO - TEST-OK | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | took 749ms
[task 2018-12-01T15:12:00.442Z] 15:12:00     INFO - Closing logging queue
[task 2018-12-01T15:12:00.442Z] 15:12:00     INFO - queue closed
[task 2018-12-01T15:12:00.470Z] 15:12:00     INFO - Setting up ssl
[task 2018-12-01T15:12:00.517Z] 15:12:00     INFO - certutil | 
[task 2018-12-01T15:12:00.564Z] 15:12:00     INFO - certutil | 
[task 2018-12-01T15:12:00.625Z] 15:12:00     INFO - certutil | 
[task 2018-12-01T15:12:00.625Z] 15:12:00     INFO - Certificate Nickname
This appears to be from bug 1511324, Emilio, please take a look.
Flags: needinfo?(emilio)
There have been 34 failures within the last 7 days, all of them on Android 7.0 x86 opt.
Recent failure log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=216132984&repo=mozilla-central&lineNumber=3042

[task 2018-12-09T22:51:57.681Z] 22:51:57     INFO - TEST-START | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html
[task 2018-12-09T22:51:58.255Z] 22:51:58     INFO - 
[task 2018-12-09T22:51:58.255Z] 22:51:58     INFO - TEST-UNEXPECTED-FAIL | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | The user agent scroll to the fragment when there is an element with an ID exactly equal to the decoded fragid - assert_not_equals: got disallowed value 0
[task 2018-12-09T22:51:58.255Z] 22:51:58     INFO - testScrollingToElementInDocumentTree/<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:91:9
[task 2018-12-09T22:51:58.255Z] 22:51:58     INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1568:20
[task 2018-12-09T22:51:58.255Z] 22:51:58     INFO - clickFirstAnchorAndRunStep/</<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:76:13
[task 2018-12-09T22:51:58.257Z] 22:51:58     INFO - .........
[task 2018-12-09T22:51:58.257Z] 22:51:58     INFO - TEST-OK | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | took 576ms
Whiteboard: [stockwell needswork:owner]
Flags: needinfo?(emilio)
Assignee: nobody → emilio
Really sorry for the lag here.
Backed out changeset 142c190bb67a (Bug 1511625) for wpt failures in scroll-to-the-fragment-in-shadow-tree.html.ini.
Space in key name: /Users/cltbld/tasks/task_1544497998/build/tests/web-platform/meta/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html.ini line 2

Backout: https://hg.mozilla.org/integration/autoland/rev/33aef5ce7c6ca80365e3f7297c29f0a81d62e6f2

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=142c190bb67a8e338a3ec39a3896984570ce7d45&selectedJob=216306733

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=216306733&repo=autoland&lineNumber=525
Flags: needinfo?(emilio)
Err, will fix the whitespace, sorry.
Flags: needinfo?(emilio)
Priority: -- → P2
https://hg.mozilla.org/mozilla-central/rev/6db48d4ee0da
Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla66
Component: DOM → DOM: Core & HTML

There are 26 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-27&endday=2019-05-04&tree=trunk&bug=1511625

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244605020&repo=mozilla-central&lineNumber=4392

[task 2019-05-03T23:08:25.461Z] 23:08:25 INFO - TEST-START | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html
[task 2019-05-03T23:08:25.464Z] 23:08:25 INFO - Closing window 20
[task 2019-05-03T23:08:26.014Z] 23:08:26 INFO -
[task 2019-05-03T23:08:26.014Z] 23:08:26 INFO - TEST-UNEXPECTED-FAIL | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | The user agent scroll to the fragment when there is an element with an ID exactly equal to the decoded fragid - assert_not_equals: got disallowed value 0
[task 2019-05-03T23:08:26.015Z] 23:08:26 INFO - testScrollingToElementInDocumentTree/<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:91:9
[task 2019-05-03T23:08:26.015Z] 23:08:26 INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1587:25
[task 2019-05-03T23:08:26.016Z] 23:08:26 INFO - clickFirstAnchorAndRunStep/</<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:76:18
[task 2019-05-03T23:08:26.246Z] 23:08:26 INFO - .........
[task 2019-05-03T23:08:26.246Z] 23:08:26 INFO - TEST-OK | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | took 787ms
[task 2019-05-03T23:08:26.908Z] 23:08:26 INFO - Closing logging queue
[task 2019-05-03T23:08:26.908Z] 23:08:26 INFO - queue closed
[task 2019-05-03T23:08:26.921Z] 23:08:26 INFO - Setting up ssl
[task 2019-05-03T23:08:26.942Z] 23:08:26 INFO - certutil |
[task 2019-05-03T23:08:26.970Z] 23:08:26 INFO - certutil |
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO - certutil |
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO - Certificate Nickname Trust Attributes
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO - SSL,S/MIME,JAR/XPI
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO -
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO - web-platform-tests CT,,
[task 2019-05-03T23:08:26.985Z] 23:08:26 INFO -
[task 2019-05-03T23:08:28.822Z] 23:08:28 INFO - adb Granting important runtime permissions to org.mozilla.fennec_aurora
[task 2019-05-03T23:08:30.589Z] 23:08:30 INFO - adb launch_application: am start -W -n org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp -a android.intent.action.VIEW --es env9 MOZ_PROCESS_LOG=/tmp/tmp6Lvi7Ipidlog --es env8 MOZ_CRASHREPORTER_NO_REPORT=1 --es args "-no-remote -profile /sdcard/tests/profile --marionette about:blank" --es env3 STYLO_THREADS=4 --es env2 MOZ_HIDE_RESULTS_TABLE=1 --es env1 R_LOG_VERBOSE=1 --es env0 MOZ_CRASHREPORTER=1 --es env7 MOZ_DISABLE_NONLOCAL_CONNECTIONS=1 --es env6 R_LOG_DESTINATION=stderr --es env5 MOZ_CRASHREPORTER_SHUTDOWN=1 --es env4 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env10 R_LOG_LEVEL=6
[task 2019-05-03T23:08:32.361Z] 23:08:32 INFO - Starting runner

Whiteboard: [stockwell unknown] → [stockwell unknown][stockwell needswork:owner]

There are 24 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-06-11&endday=2019-06-18&tree=trunk&bug=1511625

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=252212666&repo=mozilla-central&lineNumber=4395

[task 2019-06-17T23:10:04.191Z] 23:10:04 INFO - TEST-START | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html
[task 2019-06-17T23:10:04.194Z] 23:10:04 INFO - Closing window 20
[task 2019-06-17T23:10:04.660Z] 23:10:04 INFO -
[task 2019-06-17T23:10:04.660Z] 23:10:04 INFO - TEST-UNEXPECTED-FAIL | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | The user agent scroll to the fragment when there is an element with an ID exactly equal to the decoded fragid - assert_not_equals: got disallowed value 0
[task 2019-06-17T23:10:04.660Z] 23:10:04 INFO - testScrollingToElementInDocumentTree/<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:91:9
[task 2019-06-17T23:10:04.661Z] 23:10:04 INFO - Test.prototype.step@http://web-platform.test:8000/resources/testharness.js:1594:25
[task 2019-06-17T23:10:04.661Z] 23:10:04 INFO - clickFirstAnchorAndRunStep/</<@http://web-platform.test:8000/shadow-dom/scroll-to-the-fragment-in-shadow-tree.html:76:18
[task 2019-06-17T23:10:04.883Z] 23:10:04 INFO - .........
[task 2019-06-17T23:10:04.883Z] 23:10:04 INFO - TEST-OK | /shadow-dom/scroll-to-the-fragment-in-shadow-tree.html | took 692ms
[task 2019-06-17T23:10:05.547Z] 23:10:05 INFO - Closing logging queue
[task 2019-06-17T23:10:05.547Z] 23:10:05 INFO - queue closed
[task 2019-06-17T23:10:05.564Z] 23:10:05 INFO - Setting up ssl
[task 2019-06-17T23:10:05.580Z] 23:10:05 INFO - certutil |
[task 2019-06-17T23:10:05.601Z] 23:10:05 INFO - certutil |
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO - certutil |
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO - Certificate Nickname Trust Attributes
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO - SSL,S/MIME,JAR/XPI
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO -
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO - web-platform-tests CT,,
[task 2019-06-17T23:10:05.617Z] 23:10:05 INFO -
[task 2019-06-17T23:10:07.417Z] 23:10:07 INFO - adb Granting important runtime permissions to org.mozilla.fennec_aurora
[task 2019-06-17T23:10:08.684Z] 23:10:08 INFO - adb launch_application: am start -W -n org.mozilla.fennec_aurora/org.mozilla.gecko.BrowserApp -a android.intent.action.VIEW --es env9 MOZ_PROCESS_LOG=/tmp/tmpKwQD1spidlog --es env8 MOZ_CRASHREPORTER_NO_REPORT=1 --es args "-no-remote -profile /sdcard/tests/profile --marionette about:blank" --es env3 STYLO_THREADS=4 --es env2 MOZ_HIDE_RESULTS_TABLE=1 --es env1 R_LOG_VERBOSE=1 --es env0 MOZ_CRASHREPORTER=1 --es env7 MOZ_DISABLE_NONLOCAL_CONNECTIONS=1 --es env6 R_LOG_DESTINATION=stderr --es env5 MOZ_CRASHREPORTER_SHUTDOWN=1 --es env4 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env10 R_LOG_LEVEL=6
[task 2019-06-17T23:10:10.135Z] 23:10:10 INFO - Starting runner

Emilio, could you please take a look at this?

Flags: needinfo?(emilio)
Whiteboard: [stockwell unknown] → [stockwell unknown][stockwell needswork:owner]

Hiro this looks like android viewport stuff, probably a missing meta viewport? Any chance you can take a look?

Flags: needinfo?(emilio) → needinfo?(hikezoe)

Yeah, looks like it. I just tried to push a try with '<meta name="viewport" content="width=device-width,initial-scale=1">' but couldn't because I don't have my ssh key in this laptop. :/

Note that this test has already been disabled on Android-x86_64, I am pretty sure that's because of bug 1556685.

Flags: needinfo?(hikezoe)
Pushed by ealvarez@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e98876a68135
Add a meta viewport to a test so that it doesn't perma-fail on Android. r=hiro
Status: REOPENED → RESOLVED
Closed: 9 months ago3 months ago
Resolution: --- → FIXED
Created web-platform-tests PR https://github.com/web-platform-tests/wpt/pull/17450 for changes under testing/web-platform/tests
Whiteboard: [stockwell unknown][stockwell needswork:owner] → [stockwell unknown][stockwell needswork:owner][wptsync upstream]
Upstream PR merged
You need to log in before you can comment on or make changes to this bug.